Package org.opensaml.xmlsec.signature.support

# Class XMLSignatureCredentialContext

java.lang.Object
org.opensaml.xmlsec.signature.support.XMLSignatureCredentialContext

All Implemented Interfaces:
  `CredentialContext`

public class XMLSignatureCredentialContext extends Object implements CredentialContext
A credential context for credentials resolved from a `KeyInfo` that was found in in XML Signature `Signature` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Signature`
`sig`
The Signature element context.

## Constructor Summary

Constructors
Constructor
Description
`XMLSignatureCredentialContext(Signature signature)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Signature`
`getSignature()`
Gets the Signature element context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sig

@Nonnull private final Signature sig
The Signature element context.

## Constructor Details

### XMLSignatureCredentialContext

public XMLSignatureCredentialContext(@Nonnull Signature signature)
Constructor.

Parameters:
  `signature` - the signature resolution context

## Method Details

### getSignature

@Nonnull public Signature getSignature()
Gets the Signature element context.

Returns:
  signature context